Bug 1021648 - Errors in deploy-to-and-restart-JBAS.js script example
Errors in deploy-to-and-restart-JBAS.js script example
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Documentation (Show other bugs)
JON 3.2
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Deon Ballard
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-21 13:32 EDT by Deon Ballard
Modified: 2014-10-23 08:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-09 23:42:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Deon Ballard 2013-10-21 13:32:16 EDT
There are three errors in the deploy-to-and-restart-JBAS.js script example:

1. the targetResourceType.plugin is "jboss-as-7" and it should be "JBossAS7." The targetResourceType.name is "JBossAS7-Standalone" and it should be "JossAS7 Standalone Server."

2. The deployBundle() method description should be (destination, bundleVersion... not (bundleVersion, destination...

3. The basedirname value for the EAP6 resource should be "Deploy Directory." The "deployDir" parameter shoul dbe set to the name of the applcation (such as helloWebApp or PetstoreApp).
Comment 1 Deon Ballard 2014-05-09 23:42:21 EDT
Mass closure of bugs modified in 2013. All of these are in the currently-published docs.

Note You need to log in before you can comment on or make changes to this bug.